{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}

{% block title %}Matrix - Soporte{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'call-list' %}">Listado de llamadas</a></li>
  <li class="breadcrumb-item"><a href="{% url 'call-create' %}">Registro de llamadas</a></li>
  <li class="breadcrumb-item active">Crear Llamada</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Soporte <small>Registro de llamadas</small></h1>
<!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Buscar por número de Servicio</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div id="extra" class="panel-body">
          {% if not object %}
            <div class="row mb-3">
              <div class="col-sm-12 col-md-12">
                  <button id="search-service-button" class="btn btn-primary btn-sm pull-right ml-1"><i class="fa fa-search"></i>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-sm-8 col-md-4">
                  <input id="service-number" type="number" class="form-control"{% if slug %} value="{{ slug }}"{% endif %}>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-sm-4 col-md-8">
                {% if slug %}
                  {% if service %}
                    <h4>Resultado encontrado!</h4>
                  {% else %}
                    <p>No existe un {% trans 'service' %} con ese número.</p>
                  {% endif %}
                {% endif %}
              </div>
            </div>
          {% endif %}
          
        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->
<!-- begin row -->
<div class="row">
    {% if form %}
    <!-- begin col-12 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">{{ service.customer.name }}</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">

              <form id="call-form" class="form-horizontal" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                {% for field in form %}
                <div class="form-group row m-b-15">
                  <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
                  <div class="col-sm-9">
                    {% render_field field class="form-control m-b-5" %}
            
                    {% for error in field.errors %}
                    <small class="f-s-12 text-danger">{{ error }}</small>
                    {% endfor %}
                  </div>
                </div>
                {% endfor %}
                <input type="submit" value="Registrar" class="btn btn-primary">
                <a href="{% if service %}{% url 'service-calls' slug=service.slug %}{% else %}{% url 'call-create' %}{% endif %}" class="btn btn-default">Cancelar</a>
              </form>
          

        </div>
        <!-- end panel-body -->
      </div>
        <!-- end panel -->
      </div>
    <!-- end col-6 -->
    {% endif %}
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script>
  $(document).ready(function () {
    function search() {
	window.location = "{% url 'call-create' %}?number=" + $('#service-number').val();	
    }

    $('#service-number').on('focus', function(e) {
      $(this).select();
    });

    $('#service-number').on('keydown', function(e) {
	if(e.keyCode == 13) {
	    search();
	}
    });

    $('#search-service-button').on('click', search);

    {% if slug and service %}
      $('#id_department').focus();
    {% else %}
      $('#service-number').focus();
    {% endif %}
  });
</script>
{% endblock %}
